SQL/DB Error:
[You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-1,1' at line 1]
SELECT ID FROM xoops_wp_posts WHERE post_status = 'publish' AND post_date <= '2022-11-30 23:04:06' ORDER BY post_date DESC LIMIT -1,1

???? Ktai editionhomebrew subversion1.7+perl???(02/13 22:28) Page:1
Author : watanabe
Category: ??- tools- subversion
homebrewsubversion 1.7perl?????????????â┬ ?????
% brew install subversion --perl --python
==> Downloading http://www.apache.org/dyn/closer.cgi?path=subversion/subversion-1.7.2.tar.bz2
File already downloaded in /Users/watanabe/Library/Caches/Homebrew
==> ./configure --disable-debug --prefix=/usr/local/Cellar/subversion/1.7.2 --with-ssl --with-zlib=/usr --with-sqlite=/usr/local --disable-neon-version-check --disable-mod-act
==> make
==> make install
==> make swig-py
==> make install-swig-py
==> make swig-pl
==> make install-swig-pl
if test "`/usr/bin/perl -e 'use Cwd; print Cwd::realpath(shift)' /private/tmp/homebrew-subversion-1.7.2-gqXr/subversion-1.7.2/subversion/bindings/swig/perl`" != "`/usr/bin/perl -e 'use Cwd; print Cwd::realpath(shift)' /private/tmp/homebrew-subversion-1.7.2-gqXr/subversion-1.7.2/subversion/bindings/swig/perl`"; then 
       ln -sf /private/tmp/homebrew-subversion-1.7.2-gqXr/subversion-1.7.2/subversion/bindings/swig/perl/native/*.c /private/tmp/homebrew-subversion-1.7.2-gqXr/subversion-1.7.2/subversion/bindings/swig/perl/native; 
     fi
cd /private/tmp/homebrew-subversion-1.7.2-gqXr/subversion-1.7.2/subversion/bindings/swig/perl/native; make OPTIMIZE="" OTHERLDFLAGS="-L/usr/local/Cellar/readline/6.2.2/lib -L/usr/local/Cellar/neon/0.29.6/lib "
/usr/bin/install -c -d /usr/local/Cellar/subversion/1.7.2/lib
cd subversion/bindings/swig/perl/libsvn_swig_perl ; /bin/sh /private/tmp/homebrew-subversion-1.7.2-gqXr/subversion-1.7.2/libtool --mode=install /usr/bin/install -c libsvn_swig_perl-1.la /usr/local/Cellar/subversion/1.7.2/lib/libsvn_swig_perl-1.la
libtool: install: /usr/bin/install -c .libs/libsvn_swig_perl-1.0.dylib /usr/local/Cellar/subversion/1.7.2/lib/libsvn_swig_perl-1.0.dylib
libtool: install: (cd /usr/local/Cellar/subversion/1.7.2/lib && { ln -s -f libsvn_swig_perl-1.0.dylib libsvn_swig_perl-1.dylib || { rm -f libsvn_swig_perl-1.dylib && ln -s libsvn_swig_perl-1.0.dylib libsvn_swig_perl-1.dylib; }; })
libtool: install: /usr/bin/install -c .libs/libsvn_swig_perl-1.lai /usr/local/Cellar/subversion/1.7.2/lib/libsvn_swig_perl-1.la
libtool: install: /usr/bin/install -c .libs/libsvn_swig_perl-1.a /usr/local/Cellar/subversion/1.7.2/lib/libsvn_swig_perl-1.a
libtool: install: chmod 644 /usr/local/Cellar/subversion/1.7.2/lib/libsvn_swig_perl-1.a
libtool: install: ranlib /usr/local/Cellar/subversion/1.7.2/lib/libsvn_swig_perl-1.a
cd /private/tmp/homebrew-subversion-1.7.2-gqXr/subversion-1.7.2/subversion/bindings/swig/perl/native; make install
Files found in blib/arch: installing files in blib/lib into architecture dependent library tree
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ERROR: Can't create '/Library/Perl/5.12/darwin-thread-multi-2level/SVN'
mkdir /Library/Perl/5.12/darwin-thread-multi-2level/SVN: Permission denied at /System/Library/Perl/5.12/ExtUtils/Install.pm line 494

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 at -e line 1
make[1]: *** [pure_site_install] Error 13
make: *** [install-swig-pl] Error 2
==> Exit Status: 2
http://github.com/mxcl/homebrew/blob/master/Library/Formula/subversion.rb#L110
==> Environment
HOMEBREW_VERSION: 0.8.1
HEAD: bfe50e38d5ad8a8e1e1241b1982ed417ac6017db
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/Cellar
Hardware: quad-core 64-bit sandybridge
OS X: 10.7.3
Kernel Architecture: x86_64
Xcode: 4.2.1
GCC-4.0: N/A
GCC-4.2: N/A
LLVM: build 2336
Clang: 3.0 build 211
MacPorts or Fink? false
X11 installed? true
System Ruby: 1.8.7-249
/usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Which Perl:   /usr/bin/perl
Which Python: /usr/bin/python
Which Ruby:   /Users/watanabe/.rvm/rubies/ruby-1.9.2-p136/bin/ruby
==> Build Flags
CC: /usr/bin/llvm-gcc => /usr/llvm-gcc-4.2/bin/llvm-gcc-4.2
CXX: /usr/bin/llvm-g++ => /usr/llvm-gcc-4.2/bin/llvm-g++-4.2
LD: /usr/bin/llvm-gcc => /usr/llvm-gcc-4.2/bin/llvm-gcc-4.2
CFLAGS: -O3 -w -pipe -march=core2 -msse4
CXXFLAGS: -O3 -w -pipe -march=core2 -msse4
CPPFLAGS: -I/usr/local/Cellar/readline/6.2.2/include -I/usr/local/Cellar/neon/0.29.6/include
LDFLAGS: -L/usr/local/Cellar/readline/6.2.2/lib -L/usr/local/Cellar/neon/0.29.6/lib
PKG_CONFIG_PATH: /usr/local/Cellar/readline/6.2.2/lib/pkgconfig:/usr/local/Cellar/neon/0.29.6/lib/pkgconfig

Error: Failed executing: make install-swig-pl
If `brew doctor' does not help diagnose the issue, please report the bug:
    https://github.com/mxcl/homebrew/wiki/checklist-before-filing-a-new-issue
? Perlâ▓???????????? brew???????
~/Library/Caches/Homebrew/subversion-1.7.2.tar.bz2 subversion/bindings/swig/INSTALL perl??â▓?????â▒Formula?
?
*  Perl

   Perl 5.8.0 is required.  You can specify the perl binary by passing
   PERL=/path/to/perl as part of the configure command in the top level
   of the Subversion source tree.  Make sure that the Perl version used
   is the same one that you configured SWIG to run against during the
   SWIG configure (see above).

   1.  Run `make swig-pl' from the top of the Subversion source tree.

   2.  Run `make check-swig-pl' from the top of the Subversion source
       tree, to test the bindings 

   3.  to install run `make install-swig-pl' from the top of the
       Subversion source tree.

   If you need to pass extra parameters to Perl build process (Makefile.PL),
   then you need to do this process somewhat different:

   1.  Run `make swig-pl-lib' from the top of the Subversion source tree.

   2.  Run `make install-swig-pl-lib'

   3.  cd subversion/bindings/swig/perl/native 

   4.  Run `perl Makefile.PL EXTRAOPTIONSHERE` 

   5.  Run `make install'

   To install the Perl bindings in a location other than the system
   Perl directory, use the above instructions with the extra option
   PREFIX=/your/prefix/here.

?
diff --git a/Library/Formula/subversion.rb b/Library/Formula/subversion.rb
index 8bc206d..113af37 100644
--- a/Library/Formula/subversion.rb
+++ b/Library/Formula/subversion.rb
@@ -99,15 +99,16 @@ class Subversion < Formula
      if MacOS.leopard?
         perl_version = "5.8.8"
       else
-        perl_version = "5.10.0"
+        perl_version = "5.12"
       end

       inreplace "Makefile" do |s|
         s.change_make_var! "SWIG_PL_INCLUDES",
           "$(SWIG_INCLUDES) #{arches} -g -pipe -fno-common -DPERL_DARWIN -fno-strict-aliasing -I/usr/local/include -I/System/Library/Perl/#{perl_version}/darwin-thread-multi-2level/CORE"
       end
-      system "make swig-pl"
-      system "make install-swig-pl"
+      system "make swig-pl-lib"
+      system "make install-swig-pl-lib"
+      system "(cd subversion/bindings/swig/perl/native;perl Makefile.PL PREFIX=#{prefix};make install)"
     end

     if build_java?
??????
?

â├ >


WP-Ktai ver 0.5.0